Skip to main content
Resource Center/Hardware/Primary Storage Operations/Ceph Primary Storage Operations
PUTCeph Primary Storage OperationsSince 0.6SynchronousAuth Required

UpdateCephPrimaryStoragePool

UpdateCephPrimaryStoragePool

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatecephprimarystoragepoolObjectRequired

    updatecephprimarystoragepool request body object.

    • aliasNameString

      Optional. The alias of the Ceph primary storage pool.

    • descriptionString

      Optional. The detailed description of the resource.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The short description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryCephPrimaryStoragePoolInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • primaryStorageUuidStringRequired

      The UUID of the Ceph primary storage.

    • poolNameStringRequired

      池名称。

    • aliasNameStringRequired

      No description provided.

    • descriptionString

      Optional. The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • typeStringRequired

      类型。

    • usedCapacityLongRequired

      已使用容量。

    • replicatedSizeIntegerRequired

      No description provided.

    • availableCapacityLongRequired

      可用容量。

Endpoint

PUT/zstack/v1/primary-storage/ceph/pools/{uuid}/actions

/zstack/v1/primary-storage/ceph/pools/{uuid}/actions

Operation ID

UpdateCephPrimaryStoragePool

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/primary-storage/ceph/pools/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatecephprimarystoragepool":{"aliasName":"<aliasName>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "7f0e174e86e739d695b0e5b9674e3638", "primaryStorageUuid": "6b247ebee1e4326998f10e03a5f8c230", "poolName": "pool name", "aliasName": "alias name", "description": "description", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "type": "Data" } }

Change History

This API has no change history records yet.

View all change history